Subject: filemetadata adds extremely slow MM-relation to fe_groups

Description

Hello Core-Team,

if filemetadate-extension is installed it adds an extremely slow MM-Relation to file_mata_data-table.

Please install this extension and try to open an fe_group record in BE listmodule. As more file-meta_data exists as slower the records

will open. In our case we have 54.000 filemetadata records, and for each record it executes 54.000 queries to retrieve the title of

sys_file. We have to wait nearly 5 minuten to edit an fe_group record. And please have a look into sys_file_fegroups_mm. It's

EMPTY! So why search for things which aren't there?

Stefan

Related issues:
related to Core - Feature # 52719: Advanced metadata for File

Resolved 2013-10-12

duplicates Core - Task # 54236: sys_file_metadata uses mm for fe_group field Resolved 2013-12-06

Associated revisions

Revision 3cdab9df - 2013-12-18 15:45 - Steffen Ritter

[BUGFIX] Access to sys_files is incompatible to fe_access checks

The system extension filemetadata adds access restriction fields
for selecting frontend user groups as known from tt_content or
pages. Behind the scenes of the TCEform this relation is stored
in a MM table which is incompatible to the usual access checks.

In addition a opposite relation is added to fe_groups which
queries all files to show in a selector.

This change removes the MM table and reconfigures the fe_groups
field in the same way as it is done for tt_content and pages.

Resolves: #54236

Resolves: #54237

Releases: 6.2

Change-Id: 18a05073dee9e57e48335e1fe2a3917313563ac7d
Reviewed-on: https://review.typo3.org/25987

Reviewed-by: Markus Klein
Reviewed-by: Stefan Froemken
Tested-by: Stefan Froemken
Reviewed-by: Frans Saris
Reviewed-by: Steffen Ritter
Tested-by: Steffen Ritter

History

#1 - 2013-12-06 14:42 - Steffen Ritter

- Status changed from New to Accepted

- Assigned To set to Steffen Ritter

- Priority changed from Should have to Must have

#2 - 2013-12-07 15:55 - Steffen Ritter
- Parent task set to #54266

#3 - 2013-12-07 17:36 - Gerrit Code Review

- Status changed from Accepted to Under Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/25987

#4 - 2013-12-18 16:31 - Steffen Ritter
- Status changed from Under Review to Resolved

Applied in changeset commit:3cdab9df155082cb4a93a28f1c1a76d811dd9875.

#5 - 2013-12-22 10:22 - Steffen Ritter
- % Done changed from 0 to 90

#6 - 2014-02-17 10:20 - Steffen Ritter
- % Done changed from 90 to 100
